Subscribes an endpoint to the given events (url and events are required). Deliveries are signed with HMAC-SHA-256 in the X-Webhook-Signature header when a secret is set. The signing secret is never returned. Providing an existing id updates that subscription instead.
apiKeyAuth In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuiduri1 <= itemsapplication/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/v1/webhooks" \ -H "Content-Type: application/json" \ -d '{}'API key authentication. Create an API key in your user profile and include it in the x-api-key header.
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"url": "http://example.com",
"description": "string",
"events": [
"contact.created"
],
"enabled": true,
"createdAt": "string",
"updatedAt": "string",
"hasSecret": true
}"string""string""string""string"